For the complete documentation index, see llms.txt. This page is also available as Markdown.

App Scripting Proxy

Manage app scripting proxy configurations in VARIO Cloud, including triggers, scripts, script modules, execution, and CRUD operations via REST API.

Scripting proxy configuration

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

triggerIdstring · max: 255Required

Trigger zur Ausführung des Skripts

scriptstring · max: 2147483647Optional

Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)

get/cmn/system/app-scripting-proxy/{id}
GET /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "triggerId": "text",
  "script": "text",
  "scriptModuleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

triggerIdstring · max: 255Required

Trigger zur Ausführung des Skripts

scriptstring · max: 2147483647Optional

Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

triggerIdstring · max: 255Required

Trigger zur Ausführung des Skripts

scriptstring · max: 2147483647Optional

Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)

put/cmn/system/app-scripting-proxy/{id}
PUT /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "version": "text",
  "info": {},
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "triggerId": "text",
  "script": "text",
  "scriptModuleRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "triggerId": "text",
  "script": "text",
  "scriptModuleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/system/app-scripting-proxy/{id}
DELETE /cmn/system/app-scripting-proxy/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}
post
Path parameters
appIdentifierstring · uuidRequired
triggerIdstringRequired
Query parameters
sessionIdstringRequired
Body

Search-Dialog

emptybooleanOptional
arraybooleanOptional
nullbooleanOptional
objectbooleanOptional
floatbooleanOptional
missingNodebooleanOptional
nodeTypestring · enumOptionalPossible values:
valueNodebooleanOptional
containerbooleanOptional
integralNumberbooleanOptional
floatingPointNumberbooleanOptional
stringbooleanOptional
pojobooleanOptional
shortbooleanOptional
intbooleanOptional
longbooleanOptional
doublebooleanOptional
bigDecimalbooleanOptional
bigIntegerbooleanOptional
textualbooleanOptionalDeprecated
booleanbooleanOptional
binarybooleanOptional
numberbooleanOptional
embeddedValuebooleanOptional
Responses
200

OK

application/json

Search-Dialog

emptybooleanOptional
arraybooleanOptional
nullbooleanOptional
objectbooleanOptional
floatbooleanOptional
missingNodebooleanOptional
nodeTypestring · enumOptionalPossible values:
valueNodebooleanOptional
containerbooleanOptional
integralNumberbooleanOptional
floatingPointNumberbooleanOptional
stringbooleanOptional
pojobooleanOptional
shortbooleanOptional
intbooleanOptional
longbooleanOptional
doublebooleanOptional
bigDecimalbooleanOptional
bigIntegerbooleanOptional
textualbooleanOptionalDeprecated
booleanbooleanOptional
binarybooleanOptional
numberbooleanOptional
embeddedValuebooleanOptional
post/cmn/system/app-scripting-proxy/{appIdentifier}/{triggerId}
POST /cmn/system/app-scripting-proxy/{appIdentifier}/{triggerId}?sessionId=text HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "empty": true,
  "array": true,
  "null": true,
  "object": true,
  "float": true,
  "missingNode": true,
  "nodeType": "ARRAY",
  "valueNode": true,
  "container": true,
  "integralNumber": true,
  "floatingPointNumber": true,
  "string": true,
  "pojo": true,
  "short": true,
  "int": true,
  "long": true,
  "double": true,
  "bigDecimal": true,
  "bigInteger": true,
  "boolean": true,
  "binary": true,
  "number": true,
  "embeddedValue": true
}
200

OK

{
  "empty": true,
  "array": true,
  "null": true,
  "object": true,
  "float": true,
  "missingNode": true,
  "nodeType": "ARRAY",
  "valueNode": true,
  "container": true,
  "integralNumber": true,
  "floatingPointNumber": true,
  "string": true,
  "pojo": true,
  "short": true,
  "int": true,
  "long": true,
  "double": true,
  "bigDecimal": true,
  "bigInteger": true,
  "boolean": true,
  "binary": true,
  "number": true,
  "embeddedValue": true
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

triggerIdstring · max: 255Required

Trigger zur Ausführung des Skripts

scriptstring · max: 2147483647Optional

Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

appIdentifierstring · uuidRequired

Identifier der App

triggerIdstring · max: 255Required

Trigger zur Ausführung des Skripts

scriptstring · max: 2147483647Optional

Das auszuführende Skript (wenn scriptModuleRef nicht gesetzt ist)

post/cmn/system/app-scripting-proxy
POST /cmn/system/app-scripting-proxy HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "version": "text",
  "info": {},
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "triggerId": "text",
  "script": "text",
  "scriptModuleRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "triggerId": "text",
  "script": "text",
  "scriptModuleRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Last updated

Was this helpful?